KJL - Support #1693

[ESS Leave] Validasi Approval Pengajuan Cuti
10/13/2022 03:00 PM - Mega Yunita

Status: Closed Start date: 10/13/2022
Priority: Urgent Due date: 10/24/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.50 hours
Description

Dear Mas Azid,

Mohon bantuannya untuk membuatkan validasi untuk proses approval pengajuan cuti, dengan ketentuan :
1. Membaca struktur OM

2. Membaca Employee Subtype masing-masing, sehingga :

- Jika, jika Employee SubType : All Staff kecuali Operator, maka approvalnya adalah SPV -> Manager / Assisten Manager -> HR
- Jika, jika Employee SubType : Operator , maka approvalnya adalah SPV/Foreman -> HR

3. Kode Employee SubType di table PCMEPEMPSTYP :

- 07 (Staff)

- 06 Operator

- 05 Foreman

- 04 Supervisor

- 03 Asisten Manager

- 02 Manager

BizProc : Leave_ FAMA
BizFlowID : MD_Leave FAMA

Port : http://remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL

Menu : My WorkPlace > Request > Time Management > Leave
Semoga dapat dimengerti

Terimakasih

History

#1 - 10/13/2022 03:08 PM - Mega Yunita

- Description updated

#2 - 10/13/2022 04:35 PM - Kezia Pawitra Yulianti
- Tracker changed from Bug to Support

#3 - 10/13/2022 05:32 PM - Mega Yunita

- Description updated

#4 - 10/14/2022 09:42 AM - Mega Yunita

- Description updated

#5 - 10/14/2022 09:59 AM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear johanes , tolong di buatkan data sesuai sekenario yang ada ya

makasih

#6 - 10/17/2022 10:18 AM - Mega Yunita
http://remote.minovais.com:31138/

contoh data :

1. Creator sebagai Operator

- Tamrin (Operator) 22050055 -> Creator

- Aenum Naim (Foreman) 16030008  -> Approval 1

- Reza Amirullah (SPV) 20010005  -> Additional Approva 1
- Anak Agung Dwi Amelia (HR) 22020002 -> HR

2. Creator sebagai All Staff atau selain Operator

- Margianto (M & E Foreman) 21120023 -> Creator

- Pebi Apriyadi (M & E SPV) 16030009 -> Appoval 1

- Tumino (Asisten Manager) 17010004 -> Net Approval
- Anak Agung Dwi Amelia (HR) 22020002 -> HR

#7 - 10/17/2022 11:03 AM - Mega Yunita

akun :

- Tamrin = tamrin

- Aenun Naim = aenun

- Anak Agung Dwi Amelia = aadwi
- Reza Amirullah = reza

- Margianto = margianto

- Pebi Apriyadi = pebi
- Tumino = tumino

#8 - 10/17/2022 04:54 PM - Mega Yunita
- Status changed from Revise to Assigned

- Assignee changed from Johanes Christian Kurni to M Azid Wahyudi

#9 - 10/20/2022 09:42 AM - M Azid Wahyudi

- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Mega Yunita
dear mega , tolong info tentang flow nya berdasarkan taskID
makasih

#10 - 10/20/2022 09:47 AM - Mega Yunita

approval SPV : apv_spv

approval Manager / Assisten Manager : apv_assmgr_or_mgr
approval HR : apv_hr

approval foreman : apv_foreman

#11 - 10/20/2022 10:03 AM - Mega Yunita
- Assignee changed from Mega Yunita to M Azid Wahyudi

#12 - 10/21/2022 10:30 AM - M Azid Wahyudi
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , udah bisa di test ya

makasih

#13 - 10/21/2022 03:20 PM - Mega Yunita
- Due date changed from 10/17/2022 to 10/24/2022

#14 - 10/24/2022 11:31 AM - Mega Yunita
- Status changed from QA Test to Closed

Update

Hasil testing, untuk pengajuan leave dengan subtype :
1. Staff/Non Staff is Success
2. Supervisor is success

3. Asisten Manager is success
4. Manager is success

untuk employee yang subtypenya operator juga sudah sesuai, hanya saja akan ada perubahan struktur OM, sehingga kemungkinan akan ada
perubahan diproses approval.

Terima kasih
